Loading...
Searching...
No Matches
Halide::Runtime::Internal::ScopedMutexLock Struct Reference

`#include <scoped_mutex_lock.h>`

## Public Member Functions

ALWAYS_INLINE | ScopedMutexLock (halide_mutex *mutex)
ALWAYS_INLINE | ~ScopedMutexLock ()

## Public Attributes

halide_mutex * | mutex

## Detailed Description

Definition at line 11 of file scoped_mutex_lock.h.

## Constructor & Destructor Documentation

## ScopedMutexLock()

ALWAYS_INLINE Halide::Runtime::Internal::ScopedMutexLock::ScopedMutexLock | ( | halide_mutex * | mutex | ) |

inline explicit

Definition at line 14 of file scoped_mutex_lock.h.

References ALWAYS_INLINE, halide_mutex_lock(), and mutex.

## ~ScopedMutexLock()

ALWAYS_INLINE Halide::Runtime::Internal::ScopedMutexLock::~ScopedMutexLock | ( |  | ) |

inline

Definition at line 19 of file scoped_mutex_lock.h.

References ALWAYS_INLINE, halide_mutex_unlock(), and mutex.

## Member Data Documentation

## mutex

halide_mutex* Halide::Runtime::Internal::ScopedMutexLock::mutex

Definition at line 12 of file scoped_mutex_lock.h.

Referenced by ScopedMutexLock(), and ~ScopedMutexLock().

The documentation for this struct was generated from the following file:

- src/runtime/scoped_mutex_lock.h